import numpy as np
from astropy import units as u
from astropy import uncertainty as unc
from astropy.visualization import quantity_support
from matplotlib import pyplot as plt
np.random.seed(12345)
a = unc.normal(1*u.kpc, std=30*u.pc, n_samples=10000)
b = unc.normal(2*u.kpc, std=40*u.pc, n_samples=10000)
c = a + b
d = unc.uniform(center=3*u.kpc, width=800*u.pc, n_samples=10000)
e = unc.Distribution(((np.random.beta(2,5, 10000)-(2/7))/2 + 3)*u.kpc)
f = (c * d * e) ** (1/3)
with quantity_support():
    plt.hist(f.distribution, bins=50)