import numpy as np
import matplotlib.pyplot as plt

from astropy.visualization import imshow_norm, MinMaxInterval, SqrtStretch

# Generate a test image
image = np.arange(65536).reshape((256, 256))

# Display the exact same thing as the above plot
fig = plt.figure()
ax = fig.add_subplot(1, 1, 1)
im, norm = imshow_norm(image, ax, origin='lower',
                       interval=MinMaxInterval(), stretch=SqrtStretch())
fig.colorbar(im)