import numpy as np
import matplotlib.pyplot as plt
from astropy.stats import BoxLeastSquares

np.random.seed(42)
t = np.random.uniform(0, 20, 2000)
y = np.ones_like(t) - 0.1*((t%3)<0.2) + 0.01*np.random.randn(len(t))
model = BoxLeastSquares(t, y, dy=0.01)
periodogram = model.autopower(0.2)

fig, (ax1, ax2) = plt.subplots(2, 1, figsize=(8, 8))
ax1.scatter(t, y, c="k", s=1)
ax1.set_xlabel("time [day]")
ax1.set_xlabel("flux [arbitrary]")

ax2.plot(periodogram.period, periodogram.power, "k")
ax2.set_xlabel("period [day]")
ax2.set_ylabel("power")