import matplotlib.pyplot as plt
from astropy.utils.data import get_pkg_data_filename
from astropy.io import fits
from astropy.visualization import imshow_norm, PercentileInterval, SqrtStretch

# Get an example dataset
img_fn = get_pkg_data_filename('visualization/reprojected_sdss_r.fits.bz2')
image = fits.getdata(img_fn, 0)

# plot the central 99th percentile with a sqrt stretch in one call
imshow_norm(image, origin='lower',
            interval=PercentileInterval(99), stretch=SqrtStretch())
plt.colorbar(orientation='horizontal')